package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class DrpSupplierVO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("供应商评分")
   private BigDecimal supplierScore;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public BigDecimal getSupplierScore() {
      return this.supplierScore;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setSupplierScore(final BigDecimal supplierScore) {
      this.supplierScore = supplierScore;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierVO(supplierId=" + var10000 + ", supplierName=" + this.getSupplierName() + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", supplierScore=" + String.valueOf(this.getSupplierScore()) + ")";
   }
}
